Subject: bug#62004: closed (Re: bug#62004: 30.0.50; comp-run-async-workers failure when default-directory deleted)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Mar 2023 09:26:01 +0000

Your bug report

#62004: 30.0.50; comp-run-async-workers failure when default-directory deleted

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62004: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62004
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62004: 30.0.50; comp-run-async-workers failure when default-directory deleted
From: Andrea Corallo <[email-masked]>
To: No Wayman <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Thu, 09 Mar 2023 09:25:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

No Wayman <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> Hi,
>>
>> 8a2a554192a should fix in 29.
>>
>> Please let us know if we can close this.
>>
>> Best Regards
>>
>>   Andrea
>
> I won't have time to install the patch today, but it stands to reason
> that it will solve the problem.
> I would consider this closed.
> Thanks.

Done

Subject: 30.0.50; comp-run-async-workers failure when default-directory deleted
From: No Wayman <[email-masked]>
To: [email-masked]
Date: Mon, 06 Mar 2023 10:48:58 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

A corner case I've recently run into with comp-run-async-workers:

1. create a non-empty elisp file at /tmp/dir/test.el
2. visit /tmp/dir/test.el
3. delete /tmp/dir/
4. from within the test.el buffer `M-x 
emacs-lisp-native-compile-and-load`

The process will fail with:

> /tmp/dir/test.el: Opening input file, No such file or directory, 
> /tmp/dir/test.el

A similar edge case is accounted for when the buffer has no 
associated file.
e.g. attempting emacs-lisp-native-compile-and-load from the 
*scratch* buffer results in the user error: 

> The buffer must be saved in a file first.

Perhaps a similar check should be made in the case described 
above.

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.36, cairo version 1.17.8) of 2023-02-06 built on nbook
Repository revision: 907fd1f7ff402f9d226ebb3b891ea5b54fac1d1c
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 
11.0.12101006
System Description: Arch Linux